﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridUndoChanges
{
    public partial class Form1 : Form
    {
        DataTable table;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            table = new DataTable();
            table.Columns.Add("TestCol1", typeof(string)).DefaultValue = "Test Text";
            for (int i = 0; i < 10; i++ )
                table.Rows.Add();

            table.AcceptChanges();

            ultraGrid1.DataSource = table;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            table.RejectChanges();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            table.AcceptChanges();
            foreach (UltraGridRow row in ultraGrid1.Rows)
                row.Appearance.ResetForeColor();
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.DataChanged)
                e.Row.Appearance.ForeColor = Color.Red;
            else
                e.Row.Appearance.ResetForeColor();
            

        }
    }
}
